<template>
  <th :class="{ sortable: config.sortable }" @click="$emit('click', $event)">
    <span class="inline">
      {{ config.text }}
      <template v-if="config.sortable">
        <span :class="['sort-up', config.active === 'up' ? 'active' : '']"
          >⬆</span
        >
        <span :class="['sort-down', config.active === 'down' ? 'active' : '']"
          >⬇</span
        >
      </template>
    </span>
  </th>
</template>
<script>
export default {
  name: "Header",
  props: {
    config: {},
  },
};
</script>
<style scoped>
.sortable {
  cursor: pointer;
  user-select: none;
}
.sort-up {
  margin-left: 5px;
}
.sort-up,
.sort-down {
  color: #ddd;
}
.sort-up.active,
.sort-down.active {
  color: black;
}
.inline {
  display: inline-flex;
}
</style>
